extensions / Commerce extension
POST
/api/projects/{project_id}/sales/orders/attributesCreate Order Attribute
Create order attribute
GETPOST
Authentication
- Requirement
- Required
- Credential type
- Bearer API key
- Scopes
- Not specified
Permissions
- Requests are scoped to the target project_id. API-key requests must use a key with an active connection to that project.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
| Name | Required | Type | Details |
|---|---|---|---|
project_id | Yes | Not specified | Description: Target project identifier. |
Query Parameters
Request Body
Schema: CreateOrderAttributeRequest
| Field | Required | Type | Details |
|---|---|---|---|
attribute_code | Yes | string | Description: Text value. |
default_label | Yes | string | Description: Human-readable label. |
input_type | Yes | string | Description: Text value. |
is_required | No | string | Description: Boolean flag. |
default_value | No | string | Description: Text value. |
placeholder | No | string | Description: Text value. |
min_text_length | No | integer | Description: Integer value. |
max_text_length | No | integer | Description: Integer value. |
min_date | No | string | Description: Text value. |
max_date | No | string | Description: Text value. |
allowed_extensions | No | string | Description: Text value. |
max_file_size | No | integer | Description: Integer value. |
visible_on_frontend | No | boolean | Description: Boolean flag. |
hidden_from_customer | No | boolean | Description: Boolean flag. |
visible_on_backend | No | boolean | Description: Boolean flag. |
customer_roles | No | JSON | Description: JSON object. |
checkout_position | No | string | Description: Text value. |
sort_order | No | integer | Description: Integer value. |
save_for_future | No | boolean | Description: Boolean flag. |
show_on_grids | No | boolean | Description: Boolean flag. |
include_in_pdf | No | boolean | Description: Boolean flag. |
include_in_emails | No | boolean | Description: Boolean flag. |
options | No | JSON | Description: Options payload for this resource. |
conditions | No | JSON | Description: JSON object. |
is_active | No | boolean | Description: Boolean flag. |
Response Body
Example 201 response
json
{
"id": 1,
"project_id": 1,
"attribute_code": "string",
"default_label": "string",
"input_type": "string",
"is_required": "string",
"default_value": "string",
"placeholder": "string",
"min_text_length": "string",
"max_text_length": "string",
"min_date": "2026-01-01T00:00:00Z",
"max_date": "2026-01-01T00:00:00Z",
"allowed_extensions": [],
"max_file_size": "string",
"visible_on_frontend": "string",
"hidden_from_customer": "string",
"visible_on_backend": "string",
"customer_roles": [],
"checkout_position": "string",
"sort_order": "string",
"save_for_future": "string",
"show_on_grids": [],
"include_in_pdf": "string",
"include_in_emails": [],
"options": [],
"conditions": [],
"is_active": "string",
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z"
}Errors
500 internal_server_errorAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

